package cn.com.countrygarden.bi.main.dao.twerp.hm;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbDeskTopFeesDaily;

import java.util.List;

/**
 * 日收费统计数据库操作类
 *
 * @author huangzhengjun
 */

public interface TbDeskTopFeesDailyMapper extends Mapper<TbDeskTopFeesDaily> {

    TbDeskTopFeesDaily getFirstFeesOfLastDay();

    TbDeskTopFeesDaily getMaxFeesOfLastDay();

    TbDeskTopFeesDaily getFirstFeesOfToday();

    TbDeskTopFeesDaily getMaxFeesOfToday();

    TbDeskTopFeesDaily getMaxFeesOfOrganInLastDay();

    TbDeskTopFeesDaily getMaxFeesOfCommInLastDay();

    /**
     * 本月及上月收费面积
     *
     * @return
     */
    List<TbDeskTopFeesDaily> thisAndLastMonthChargeArea();

    TbDeskTopFeesDaily totalChargeArea();

    /**
     * 季度实际收费面积
     *
     * @return
     */
    List<TbDeskTopFeesDaily> seasonRealChargeArea();

}
